<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'candidate',

    /*
     * Modules.
     */
    'modules'   => ['candidate'],

    
    'candidate'       => [
        'model' => [
            'model'                 => \Hrm\Candidate\Models\Candidate::class,
            'table'                 => 'candidates',
            'presenter'             => \Hrm\Candidate\Repositories\Presenter\CandidatePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'password',  'api_token',  'remember_token',  'name',  'middle_name',  'sur_name',  'dob',  'gender',  'designation',  'address_line1',  'address_line2',  'post_code',  'country',  'email',  'phone_code',  'phone',  'mobile_code',  'mobile',  'kin_name',  'kin_relationship',  'kin_address',  'kin_contact',  'highschool',  'collage',  'nvq',  'professional_body',  'professional_body_reg',  'ni_no',  'proof_of_ni',  'passport_no',  'nationality',  'passport_issuing_country',  'passport',  'visa_category',  'visa',  'eea_card',  'eea',  'uk_full_licence',  'licence_category',  'licence_no',  'endorsement',  'medical_restrictions',  'employment_type',  'photo',  'status',  'email_verified_at',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'candidate/candidate',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Candidate',
            'module'    => 'Candidate',
        ],

    ],
];
