<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCandidatesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: candidates
         */
        Schema::create('candidates', function ($table) {
            $table->increments('id');
            $table->string('password', 100)->nullable();
            $table->string('api_token', 60)->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('middle_name', 100)->nullable();
            $table->string('sur_name', 100)->nullable();
            $table->date('dob')->nullable();
            $table->enum('gender', ['Male','Female','Other'])->nullable();
            $table->string('designation', 50)->nullable();
            $table->string('address_line1', 255)->nullable();
            $table->string('address_line2', 255)->nullable();
            $table->string('post_code', 255)->nullable();
            $table->string('country', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('phone_code', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('mobile_code', 100)->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('kin_name', 255)->nullable();
            $table->string('kin_relationship', 255)->nullable();
            $table->text('kin_address')->nullable();
            $table->string('kin_contact', 100)->nullable();
            $table->enum('highschool', ['Yes','No'])->nullable();
            $table->enum('collage', ['Yes','No'])->nullable();
            $table->enum('nvq', ['Yes','No'])->nullable();
            $table->string('professional_body', 255)->nullable();
            $table->string('professional_body_reg', 255)->nullable();
            $table->string('ni_no', 100)->nullable();
            $table->text('proof_of_ni')->nullable();
            $table->string('passport_no', 255)->nullable();
            $table->string('nationality', 100)->nullable();
            $table->string('passport_issuing_country', 100)->nullable();
            $table->text('passport')->nullable();
            $table->string('visa_category', 100)->nullable();
            $table->text('visa')->nullable();
            $table->string('eea_card', 255)->nullable();
            $table->text('eea')->nullable();
            $table->increments('uk_full_licence')->nullable();
            $table->enum('licence_category', ['Car','LGV','HGV'])->nullable();
            $table->string('licence_no', 100)->nullable();
            $table->enum('endorsement', ['Yes','No'])->nullable();
            $table->enum('medical_restrictions', ['Yes','No'])->nullable();
            $table->enum('employment_type', ['PAYE','LTD','Umbrella','Self Employed'])->nullable();
            $table->string('photo', 500)->nullable();
            $table->enum('status', ['New','Active','Suspended','Locked'])->nullable();
            $table->dateTime('email_verified_at')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('candidates');
    }
}
