<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for candidate in candidate package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  candidate module in candidate package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Candidate',
    'names'         => 'Candidates',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Candidates',
        'sub'   => 'Candidates',
        'list'  => 'List of candidates',
        'edit'  => 'Edit candidate',
        'create'    => 'Create new candidate'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'gender'              => ['Male','Female','Other'],
            'highschool'          => ['Yes','No'],
            'collage'             => ['Yes','No'],
            'nvq'                 => ['Yes','No'],
            'licence_category'    => ['Car','LGV','HGV'],
            'endorsement'         => ['Yes','No'],
            'medical_restrictions' => ['Yes','No'],
            'employment_type'     => ['PAYE','LTD','Umbrella','Self Employed'],
            'status'              => ['New','Active','Suspended','Locked'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'name'                       => 'Please enter name',
        'middle_name'                => 'Please enter middle name',
        'sur_name'                   => 'Please enter sur name',
        'dob'                        => 'Please select dob',
        'gender'                     => 'Please select gender',
        'designation'                => 'Please enter designation',
        'address_line1'              => 'Please enter address line1',
        'address_line2'              => 'Please enter address line2',
        'post_code'                  => 'Please enter post code',
        'country'                    => 'Please enter country',
        'email'                      => 'Please enter email',
        'phone_code'                 => 'Please enter phone code',
        'phone'                      => 'Please enter phone',
        'mobile_code'                => 'Please enter mobile code',
        'mobile'                     => 'Please enter mobile',
        'kin_name'                   => 'Please enter kin name',
        'kin_relationship'           => 'Please enter kin relationship',
        'kin_address'                => 'Please enter kin address',
        'kin_contact'                => 'Please enter kin contact',
        'highschool'                 => 'Please select highschool',
        'collage'                    => 'Please select collage',
        'nvq'                        => 'Please select nvq',
        'professional_body'          => 'Please enter professional body',
        'professional_body_reg'        => 'Please enter professional body reg',
        'ni_no'                      => 'Please enter ni no',
        'proof_of_ni'                => 'Please enter proof of ni',
        'passport_no'                => 'Please enter passport no',
        'nationality'                => 'Please enter nationality',
        'passport_issuing_country'        => 'Please enter passport issuing country',
        'passport'                   => 'Please enter passport',
        'visa_category'              => 'Please enter visa category',
        'visa'                       => 'Please enter visa',
        'eea_card'                   => 'Please enter eea card',
        'eea'                        => 'Please enter eea',
        'uk_full_licence'            => 'Please select uk full licence',
        'licence_category'           => 'Please select licence category',
        'licence_no'                 => 'Please enter licence no',
        'endorsement'                => 'Please select endorsement',
        'medical_restrictions'        => 'Please select medical restrictions',
        'employment_type'            => 'Please select employment type',
        'photo'                      => 'Please enter photo',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'name'                       => 'Name',
        'middle_name'                => 'Middle name',
        'sur_name'                   => 'Sur name',
        'dob'                        => 'Dob',
        'gender'                     => 'Gender',
        'designation'                => 'Designation',
        'address_line1'              => 'Address line1',
        'address_line2'              => 'Address line2',
        'post_code'                  => 'Post code',
        'country'                    => 'Country',
        'email'                      => 'Email',
        'phone_code'                 => 'Phone code',
        'phone'                      => 'Phone',
        'mobile_code'                => 'Mobile code',
        'mobile'                     => 'Mobile',
        'kin_name'                   => 'Kin name',
        'kin_relationship'           => 'Kin relationship',
        'kin_address'                => 'Kin address',
        'kin_contact'                => 'Kin contact',
        'highschool'                 => 'Highschool',
        'collage'                    => 'Collage',
        'nvq'                        => 'Nvq',
        'professional_body'          => 'Professional body',
        'professional_body_reg'        => 'Professional body reg',
        'ni_no'                      => 'Ni no',
        'proof_of_ni'                => 'Proof of ni',
        'passport_no'                => 'Passport no',
        'nationality'                => 'Nationality',
        'passport_issuing_country'        => 'Passport issuing country',
        'passport'                   => 'Passport',
        'visa_category'              => 'Visa category',
        'visa'                       => 'Visa',
        'eea_card'                   => 'Eea card',
        'eea'                        => 'Eea',
        'uk_full_licence'            => 'Uk full licence ',
        'licence_category'           => 'Licence category',
        'licence_no'                 => 'Licence no',
        'endorsement'                => 'Endorsement',
        'medical_restrictions'        => 'Medical restrictions',
        'employment_type'            => 'Employment type',
        'photo'                      => 'Photo',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'gender'                     => ['name' => 'Gender', 'data-column' => 2, 'checked'],
        'designation'                => ['name' => 'Designation', 'data-column' => 3, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 4, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 5, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Candidates',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
