<?php

namespace Hrm\Candidate;

use User;

class Candidate
{
    /**
     * $candidate object.
     */
    protected $candidate;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Candidate\Interfaces\CandidateRepositoryInterface $candidate)
    {
        $this->candidate = $candidate;
    }

    /**
     * Returns count of candidate.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.candidate.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->candidate->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\CandidateUserCriteria());
        }

        $candidate = $this->candidate->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('candidate::' . $view, compact('candidate'))->render();
    }
}
