<?php

namespace Hrm\Candidate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CandidateTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Candidate\Models\Candidate $candidate)
    {
        return [
            'id'                => $candidate->getRouteKey(),
            'key'               => [
                'public'    => $candidate->getPublicKey(),
                'route'     => $candidate->getRouteKey(),
            ], 
            'id'                => $candidate->id,
            'password'          => $candidate->password,
            'api_token'         => $candidate->api_token,
            'remember_token'    => $candidate->remember_token,
            'name'              => $candidate->name,
            'middle_name'       => $candidate->middle_name,
            'sur_name'          => $candidate->sur_name,
            'dob'               => $candidate->dob,
            'gender'            => $candidate->gender,
            'designation'       => $candidate->designation,
            'address_line1'     => $candidate->address_line1,
            'address_line2'     => $candidate->address_line2,
            'post_code'         => $candidate->post_code,
            'country'           => $candidate->country,
            'email'             => $candidate->email,
            'phone_code'        => $candidate->phone_code,
            'phone'             => $candidate->phone,
            'mobile_code'       => $candidate->mobile_code,
            'mobile'            => $candidate->mobile,
            'kin_name'          => $candidate->kin_name,
            'kin_relationship'  => $candidate->kin_relationship,
            'kin_address'       => $candidate->kin_address,
            'kin_contact'       => $candidate->kin_contact,
            'highschool'        => $candidate->highschool,
            'collage'           => $candidate->collage,
            'nvq'               => $candidate->nvq,
            'professional_body' => $candidate->professional_body,
            'professional_body_reg' => $candidate->professional_body_reg,
            'ni_no'             => $candidate->ni_no,
            'proof_of_ni'       => $candidate->proof_of_ni,
            'passport_no'       => $candidate->passport_no,
            'nationality'       => $candidate->nationality,
            'passport_issuing_country' => $candidate->passport_issuing_country,
            'passport'          => $candidate->passport,
            'visa_category'     => $candidate->visa_category,
            'visa'              => $candidate->visa,
            'eea_card'          => $candidate->eea_card,
            'eea'               => $candidate->eea,
            'uk_full_licence'   => $candidate->uk_full_licence,
            'licence_category'  => $candidate->licence_category,
            'licence_no'        => $candidate->licence_no,
            'endorsement'       => $candidate->endorsement,
            'medical_restrictions' => $candidate->medical_restrictions,
            'employment_type'   => $candidate->employment_type,
            'photo'             => $candidate->photo,
            'status'            => $candidate->status,
            'email_verified_at' => $candidate->email_verified_at,
            'user_id'           => $candidate->user_id,
            'user_type'         => $candidate->user_type,
            'deleted_at'        => $candidate->deleted_at,
            'created_at'        => $candidate->created_at,
            'updated_at'        => $candidate->updated_at,
            'url'               => [
                'public'    => trans_url('candidate/'.$candidate->getPublicKey()),
                'user'      => guard_url('candidate/candidate/'.$candidate->getRouteKey()),
            ], 
            'status'            => trans('app.'.$candidate->status),
            'created_at'        => format_date($candidate->created_at),
            'updated_at'        => format_date($candidate->updated_at),
        ];
    }
}